<?php

$lang = array(
// add lesson
	'add_course' => 'Add Course',
	'edit_course' => 'Edit Course',
	'add_lesson' => 'Add Lesson',
	'lesson_title' => 'Lessons',
	'page_course_title' => 'Courses',
	'page_lesson_title' => 'Lessons',
	'title_field' => 'Title',
	'links_title' => 'Links',
	'dont_display_links' => 'Display links',
	'add_tab' => '+Add',
	'url_field' => 'Url',
	'files_title' => 'Files',
	'dont_display_files' => 'Display files',
	'remove_tab' => 'Remove',
	'or_upload_file' => 'Or upload a file',
	'edit_lesson' => 'Edit Lesson',
	'modal_close' => 'Close',
	'modal_save' => 'Save changes',
	'duplicate_lesson' => 'Duplicate a lesson to use with this course or',
	'add_new_lesson' => 'add a new one.',
	'select_course' => 'Select course',
	'select_lesson' => 'Select',
	'first_course' => 'This is the first course',
	'another_course' => 'This is another course',
	'lesson_title1' => 'A lesson title here',
	'lesson_title2' => 'Another lesson title',
// end add lesson
// add course
	'course_title' => 'Course',
	'page_course_title' => 'Courses',
// end add course
// sidebar
	'make_money' => 'Make Money',
// end sidebar 
// header
	'site_title' => 'Course Builder',
	'turbo_course_builder' => 'Turbo Course Builder',
	'setting_menu' => 'Settings',
	'lessons_menu' => 'Lessons',
	'embed_menu' => 'Embed',
	'changepwd_menu' => 'Change password',
	'logout_menu' => 'Logout',
// end header
// settings
	'settings_title' => 'Settings',
	'form_lesson_title' => 'Lesson&rsquo;s title',
	'form_course_title' => 'Course&rsquo;s title',
	'font_color' => 'Font color',
	'font_size' => 'Font size',
	'font_title' => 'Font',
	'font_arial' => 'Arial',
	'font_verdana' => 'Verdana',
	'font_timesnewroman' => 'Times New Roman',
	'font_opensans' => '\'Open Sans\', sans-serif',
	'font_roboto' => '\'Roboto\', sans-serif',
	'font_lato' => '\'Lato\', sans-serif',
	'font_oswald' => '\'Oswald\', sans-serif',
	'font_ptsans' => '\'PT Sans\', sans-serif',
	'font_ubuntu' => '\'Ubuntu\', sans-serif',
	'form_lesson_text' => 'Lesson&rsquo;s text',
	'select_option' => 'Select',
	'text_alignment' => 'Alignment',
	'text_left' => 'Left',
	'text_right' => 'Right',
	'text_justified' => 'Justified',
	'save_button' => 'Save',
	'upload_button' => 'Upload',
// end settings
// footer
	'copyright_text' => 'Copyright (c) 2016',
// end footer
// change password
	'change_pwd' => 'Change Password',
	'current_pwd' => 'Current Password',
	'new_pwd' => 'New Password',
	'repeatnew_pwd' => 'Retype new Password',
// end change password
// embed code
	'embed_code' => 'Embed code',
	'lock_code' => 'Lock code',
	'copy_code_note' => 'Copy the code from below and paste it in your page where you want to display the lessons.',
// end embed code
// index
	'embed_code' => 'Embed code',
	'welcome_aboard' => 'Welcome aboard!',
	'click_settings' => 'Click on Settings to control the fonts used with the courses and lessons.',
	'click_courses' => 'Click on Courses to view all courses added.',
	'click_lessons' => 'Click on Lessons to view all lessons added.',
	'click_embed' => 'Click on Embed to get the code of a course and add it to your page where you want to display it.',
	'click_addcourse' => 'Click on the Add course link to add a new course.',
	'click_addlesson' => 'Click on the Add lesson link to add a new lesson.',
	'click_changepwd' => 'Click on the Change Password to change the password.',
// end index
// login
	'login_title' => 'Login',
	'username_field' => 'Username or email',
	'password_field' => 'Password',
	'forgotpassword_link' => 'Forgot Password?',
	'login_link' => 'Login',
	'forgotpassword_title' => 'Forgot Password',
// end login
// install
	'install_title' => 'Install',
	'dbhost_field' => 'Database Host',
	'dbuser_field' => 'Database User',
	'dbpass_field' => 'Database Password',
	'dbname_field' => 'Database Name',
	'adminemail_field' => 'Admin Email',
	'adminusername_field' => 'Username',
	'adminpassword_field' => 'Password',
	'submit_button' => 'Submit',
// end install

// messages
	'nodbconnection_error_message' => 'Couldn\'t connect to database. Please try again.',
	'invalid_login'	 => "Invalid login details. Please try again.",
	'success_settings_updated' => 'Settings have been updated successfully',
	'error_settings_updated' => 'Error! Please try again.',
	'success_password_updated' => 'Password have been updated successfully',
	'error_passwordnotmatch_updated' => 'Current Password doesn\'t match',
	'error_password_updated' => 'Error! Please try again',
	'success_lesson_added' => 'Lesson has been added successfully',
	'error_lesson_added' => 'Error! Please try again',
	'success_lesson_updated' => 'Lesson has been updated successfully',
	'error_lesson_updated' => 'Error! Please try again',
	'status_success_message' => 'Status has been updated successfully',
	'status_error_message' => 'Error! Please try again',
	'lessondelete_success_message' => 'Lesson has been deleted successfully',
	'lessondelete_error_message' => 'Error! Please try again',
	'success_link_deleted' => 'Link has been deleted successfully',
	'error_link_deleted' => 'Error! Please try again',
	'success_file_deleted' => 'File has been deleted successfully',
	'error_file_deleted' => 'Error! Please try again',
	'success_sortorder_update' => 'Lesson\'s sorting order has been updated successfully',
	'error_sortorder_update' => 'Error! Please try again',
	'linkupdate_success_message' => 'Link has been updated successfully',
	'linkupdate_error_message' => 'Error! Please try again',
	'fileupdate_success_message' => 'File has been updated successfully',
	'fileupdate_error_message' => 'Error! Please try again',
	'fileupload_error_message' => 'Error in uploading file! Please try again',
	'no_access' => 'You don\'t have permission to view',
	'forgotpassword_success_message' => 'We have sent you login details to your registered email. Please check your inbox.',
	'forgotpassword_error_message' => 'Username/email not found. Please try again.',
	'no_course_message' => 'No course available. Please create a course.',
	'success_course_added' => 'Course has been added successfully',
	'error_course_added' => 'Error! Please try again',
	'success_course_deleted' => 'Course has been deleted successfully',
	'error_course_deleted' => 'Error! Please try again',
	'nocoursefound' => 'No course found.',
	'nolessonfound' => 'No lessons found.',
	'createcoursemsg' => 'No course found. Please add a course first.',
	'invalid_lesson' => 'Invalid Lesson. Please try again.',
	'invalid_course' => 'Invalid Course. Please try again.',
	'success_course_updated' => 'Course has been updated successfully',
	'error_course_updated' => 'Error! Please try again',
	'embedcode_success_message' => 'Embed code has been saved successfully',
	'embedcode_error_message' => 'Error! Please try again',
// end messages
// embed lesson
	
// end embed lesson
// added lesson
	'addedlesson_heading' => 'Added Lesson',
// end added lesson

// domains
    'domain_field' => 'Domain',
    'add_domain' => 'Add Domain',
    'domains_menu' => 'Domains',
    'domains_title' => 'Domains',
    'success_domain_added' => 'Domain has been added successfully',
    'error_domain_added' => 'Error! Please try again',
    'success_domain_updated' => 'Domain has been updated successfully',
    'error_domain_updated' => 'Error! Please try again',
    'domaindelete_success_message' => 'Domain has been deleted successfully',
    'domaindelete_error_message' => 'Error! Please try again',
    'invalid_domain' => 'Invalid Domain. Please try again.',
    'edit_domain' => 'Edit Domain',
    'nodomainsfound' => 'No domains found. Access allowed from any domain.'

	);
?>