<?php 
include('config.php');

if(!$_GET['id']) {
	exit();
}

$get_embed_code = get_embed_code($_GET['id'], $_GET['course_id']);
if(!$get_embed_code) {
	exit();
}

$lock_code = $get_embed_code['lock_code_status'];
if($lock_code) {
	$referer = $_SERVER['HTTP_REFERER'];
	if(strpos($referer, SITE_URL) === false) {
     	exit($lang['no_access']);
	}
}

$get_course_details = get_course_details($_GET['id'], $_GET['course_id']);
if(!$get_course_details) {
	exit($lang['no_access']);
}

$get_lessons = get_lessons_public($_GET['id'], $_GET['course_id']);

$get_settings = get_settings($_GET['id']);
?>
<!DOCTYPE html>
<head>
	<title>Lessons</title>
	<link rel="stylesheet" type="text/css" href="assets/css/custom.css">
	<style type="text/css">
	a{color:<?php echo $get_settings['lesson_title_color']; ?>;font-size:<?php echo $get_settings['lesson_title_size']; ?>;font-family:<?php echo $get_settings['lesson_title_font']; ?>;}
	.course_title{color:<?php echo $get_settings['course_title_color']; ?>;font-size:<?php echo $get_settings['course_title_size']; ?>;font-family:<?php echo $get_settings['course_title_font']; ?>;}
	.course_description{color:<?php echo $get_settings['lesson_text_color']; ?>;font-size:<?php echo $get_settings['lesson_text_size']; ?>;font-family:<?php echo $get_settings['lesson_text_font']; ?>;}
	.course_description img{display: block;margin: 0 auto;}
	</style>
</head>
<body>
	<div class="page added-lesson col-lg-10 col-sm-8" id="page-container">
		<table width="100%">
			<tr>
				<td class="course_title"><?php echo stripslashes($get_course_details['course_title']); ?></td>
			</tr>
			<tr>
				<td class="course_description"><?php echo stripslashes($get_course_details['course_description']); ?></td>
			</tr>
		</table>
		<?php
		if(mysql_num_rows($get_lessons) <= 0) {

		} else {
			?>
			<div class="list-lesson">
				<table width="100%">
					<?php
					$loop = 0;
					while($row = mysql_fetch_assoc($get_lessons)) {
						?>
						<tr class="lessons <?php echo ($loop % 2 == 0) ? "odd" : ""; ?>">
							<td><div class="field1"><label><a href="viewlesson.php?id=<?php echo $_GET['id']; ?>&amp;course_id=<?php echo $row['course_id']; ?>&amp;lesson_id=<?php echo $row['lesson_pid']; ?>"><?php echo stripslashes($row['lesson_title']); ?></a></label></div>
							</td>
						</tr>
						<?php
						$loop++;
					}
					?>
				</table>
			</div>
			<?php
		}
		?>
	</div>
	<script type="text/javascript">
		parent.postMessage(document.getElementById("page-container").scrollHeight, '*');
	</script>
</body>
</html>
