<?php 
include('config.php');
isScriptInstalled();
validateUserSession();
include('include/header.php');
include('include/sidebar.php');

$courses = get_course($_SESSION['userdata']['admin_pid']);
?>
<div class="page lesson-listing col-lg-10 col-sm-8">
	<h3><?php echo $lang['page_course_title']; ?></h3>
	<?php showNotificationMessage(); ?>
	<form role="form" id="lesson-list">
		<?php
		if(mysql_num_rows($courses) > 0) {
			while($row_course = mysql_fetch_assoc($courses)) {
		?>
				<table width="100%">
					<tr>
						<td><h3><?php echo stripslashes($row_course['course_title']); ?></h3></td>
<!--						<td>
							<a href="domains.php?course_id=<?php /*echo $row_course['course_pid']; */?>">domains</a>
						</td>
-->						<td>
							<a href="edit_course.php?id=<?php echo $row_course['course_pid']; ?>"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></a>
							<a href="javascript:;"><span data="<?php echo $row_course['course_pid']; ?>" class="glyphicon glyphicon-trash coursedelete" aria-hidden="true"></span></a>
						</td>
					</tr>
				</table>					
				<div class="list-lesson" id="course_<?php echo $row_course['course_pid']; ?>">
					<table width="100%">
					<?php
					$lessons = get_lessons($_SESSION['userdata']['admin_pid'], $row_course['course_pid']);
					if(mysql_num_rows($lessons) > 0) {
						$loop = 0;
						while($row = mysql_fetch_assoc($lessons)) {
							$get_visits = get_visits(array("entity_id" => $row['lesson_pid'], "entity_type" => 1));
					?>
						<tr class="lessons <?php echo ($loop % 2 == 0) ? "odd" : ""; ?>" course="<?php echo $row['course_id']; ?>" data="<?php echo $row['lesson_pid']; ?>">
							<td>
								<div class="field1">
									<label><?php echo stripslashes($row['lesson_title']); ?></label>
								</div>
							</td>
							<td>
								<div class="edit_option">
									<a href="javascript:;"><?php echo $get_visits; ?></a>
									<a href="javascript:;"><span data="<?php echo $row['lesson_pid']; ?>" class="glyphicon <?php echo ($row['status'] == "0") ? "glyphicon-eye-close" : "glyphicon-eye-open";?> lessonstatus" aria-hidden="true"></span></a>
									<a href="edit_lesson.php?id=<?php echo $row['lesson_pid']; ?>"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></a>
									<a href="javascript:;"><span data="<?php echo $row['lesson_pid']; ?>" class="glyphicon glyphicon-trash lessondelete" aria-hidden="true"></span></a>
									<a href="javascript:;"><span data="<?php echo $row['lesson_pid']; ?>" class="glyphicon glyphicon-arrow-down lessonmovedown" aria-hidden="true"></span></a>
									<a href="javascript:;"><span data="<?php echo $row['lesson_pid']; ?>" class="glyphicon glyphicon-arrow-up lessonmoveup" aria-hidden="true"></span></a>
								</div>
							</td>
						</tr>
					<?php $loop++; }
					} else { ?>
						<tr class="odd">
							<td colspan="2"><?php echo $lang['nolessonfound'];?></td>
						</tr>
					<?php } ?>
					</table>
				</div>
		<?php }
			?>
				<div class="form-group" style="margin-top:20px;"><input type="button" class="btn btn-default save-btn" value="<?php echo $lang['save_button']; ?>"></div>
			<?php 
		} else { ?>		
			<table width="100%">
				<tr class="odd">
					<td><?php echo $lang['nocoursefound'];?></td>
				</tr>
			</table>
		<?php } ?>	
	</form>
</div>
<style type="text/css">
	.list-lesson{min-height: 100px !important;}
</style>
<script type="text/javascript">
$(document).ready(function() {
	$(document).on("click", ".lessonstatus", function() {
		var obj = $(this);
		showLoading();

		if($(this).hasClass("glyphicon-eye-open")) {
			var status = 0;
		} else {
			var status = 1;
		}

		$.ajax({
			url: 'businesslayer.php',
			type: 'POST',
			data: {action: 5, lesson_id: obj.attr("data"), status: status},
			dataType: 'json',
			success: function(response) {
				hideLoading();
				if(response.result == "true") {
					if(status == 0) {
						obj.removeClass("glyphicon-eye-open").addClass("glyphicon-eye-close");
					} else {
						obj.removeClass("glyphicon-eye-close").addClass("glyphicon-eye-open");
					}
					alert(response.message);
				} else {
					alert(response.message);
				}
			},
			error: function() {
				hideLoading();
				alert(response.message);
			}
		});
	});

	$(document).on("click", ".lessondelete", function() {
		var obj = $(this);

		if(confirm("Do you really want to delete this lesson?")) {
			showLoading();

			$.ajax({
				url: 'businesslayer.php',
				type: 'POST',
				data: {action: 6, lesson_id: obj.attr("data")},
				dataType: 'json',
				success: function(response) {
					hideLoading();
					if(response.result == "true") {
						obj.parents("tr").remove();
						alert(response.message);
					} else {
						alert(response.message);
					}
				},
				error: function() {
					hideLoading();
					alert(response.message);
				}
			});
		}
	});

	$(document).on("click", ".lessonmovedown,.lessonmoveup", function() {
		var row = $(this).parents("tr:first");
        if ($(this).is(".lessonmoveup")) {
            row.insertBefore(row.prev());
        } else {
            row.insertAfter(row.next());
        }
	});

	$(document).on("click", ".save-btn", function() {
		showLoading();

		var lessons = new Array();
		var courses = new Array();

		$(".lessons").each(function() {
			lessons.push($(this).attr("data"));
			courses.push($(this).attr("course"));
		});

		$.ajax({
			url: 'businesslayer.php',
			type: 'POST',
			data: {action: 10, lessons: lessons, courses: courses},
			dataType: 'json',
			success: function(response) {
				hideLoading();
				if(response.result == "true") {
					alert(response.message);
				} else {
					alert(response.message);
				}
			},
			error: function() {
				hideLoading();
				alert(response.message);
			}
		});
	});

	$(document).on("click", ".coursedelete", function() {
		var obj = $(this);

		if(confirm("Do you really want to delete this course? All lessons of this course will also get deleted.")) {
			showLoading();

			var course_id = obj.attr("data");

			$.ajax({
				url: 'businesslayer.php',
				type: 'POST',
				data: {action: 20, course_id: course_id},
				dataType: 'json',
				success: function(response) {
					hideLoading();
					if(response.result == "true") {
						$("#course_"+course_id).remove();
						obj.parents("tr").remove();

						if($(".list-lesson").size() <= 0) {
							$("form").html('<table width="100%"><tr class="odd"><td><?php echo $lang['nocoursefound'];?></td></tr></table>');
						}
						alert(response.message);
					} else {
						alert(response.message);
					}
				},
				error: function() {
					hideLoading();
					alert(response.message);
				}
			});
		}
	});
});
</script>
<?php include('include/footer.php') ?>