<?php 
include('config.php');
isScriptInstalled();
validateUserSession();
include('include/header.php');
include('include/sidebar.php');

$params = addSlashesArray($_REQUEST);
$lessons = get_domains($params['id']);
$courses = get_course($_SESSION['userdata']['admin_pid']);
?>
<div class="page setting col-lg-10 col-sm-8">
	<h3><?php echo $lang['domains_title']; ?></h3>
	<?php showNotificationMessage(); ?>
	<form role="form" id="lesson-list">
		<div class="list-lesson">

			<div class="form-group">
				<select class="form-control" name="id" onchange="this.form.submit();">
					<option placeholder="<?php echo $lang['select_course']; ?>"><?php echo $lang['select_course']; ?></option>
					<?php
					while($row = mysql_fetch_assoc($courses)) {
						?>
						<option value="<?php echo $row['course_pid']; ?>" <?php if($_GET['id'] == $row['course_pid']) { echo 'selected';  } ?>><?php echo stripslashes($row['course_title']); ?></option>
						<?php
					} ?>
				</select>
<br />
<br />
				<a href="add_domain.php?course_id=<?php echo $_GET['id']; ?>"><?php echo $lang['add_domain']; ?></a>

			</div>


			<table width="100%">
				<?php
				if(count($lessons) > 0) {
					$loop = 0;
					foreach($lessons as $row) {
//						$get_visits = get_visits(array("entity_id" => $row['lesson_pid'], "entity_type" => 1));
						?>
						<tr class="lessons <?php echo ($loop % 2 == 0) ? "odd" : ""; ?>" data="<?php echo $row['id']; ?>">
							<td>
								<div class="field1">
									<label><?php echo stripslashes($row['domain']); ?></label>
								</div>
							</td>
							<td>
								<div class="edit_option">
									<a href="edit_domain.php?id=<?php echo $row['id']; ?>"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></a>
									<a href="javascript:;"><span data="<?php echo $row['id']; ?>" class="glyphicon glyphicon-trash lessondelete" aria-hidden="true"></span></a>
								</div>
							</td>
						</tr>
						<?php $loop++; }
				} else { ?>
					<tr class="odd">
						<td colspan="2"><?php echo $lang['nodomainsfound'];?></td>
					</tr>
				<?php } ?>
			</table>
		</div>
		<?php
		if(false && count($lessons) > 0) {
			?>
			<div class="form-group"><input type="button" class="btn btn-default save-btn" value="<?php echo $lang['save_button']; ?>"></div>
		<?php } ?>
	</form>
</div>

<script type="text/javascript">
	$(document).ready(function() {
		$(document).on("click", ".lessonstatus", function() {
			var obj = $(this);
			showLoading();

			if($(this).hasClass("glyphicon-eye-open")) {
				var status = 0;
			} else {
				var status = 1;
			}

			$.ajax({
				url: 'businesslayer.php',
				type: 'POST',
				data: {action: 5, lesson_id: obj.attr("data"), status: status},
				dataType: 'json',
				success: function(response) {
					hideLoading();
					if(response.result == "true") {
						if(status == 0) {
							obj.removeClass("glyphicon-eye-open").addClass("glyphicon-eye-close");
						} else {
							obj.removeClass("glyphicon-eye-close").addClass("glyphicon-eye-open");
						}
						alert(response.message);
					} else {
						alert(response.message);
					}
				},
				error: function() {
					hideLoading();
					alert(response.message);
				}
			});
		});

		$(document).on("click", ".lessondelete", function() {
			var obj = $(this);

			if(confirm("Do you really want to delete this lesson?")) {
				showLoading();

				$.ajax({
					url: 'businesslayer.php',
					type: 'POST',
					data: {action: 24, lesson_id: obj.attr("data")},
					dataType: 'json',
					success: function(response) {
						hideLoading();
						if(response.result == "true") {
							obj.parents("tr").remove();
							alert(response.message);
						} else {
							alert(response.message);
						}
					},
					error: function() {
						hideLoading();
						alert(response.message);
					}
				});
			}
		});

		$(document).on("click", ".lessonmovedown,.lessonmoveup", function() {
			var row = $(this).parents("tr:first");
			if ($(this).is(".lessonmoveup")) {
				row.insertBefore(row.prev());
			} else {
				row.insertAfter(row.next());
			}
		});

		$(document).on("click", ".save-btn", function() {
			showLoading();

			var lessons = new Array();
			$(".lessons").each(function() {
				lessons.push($(this).attr("data"));
			});

			$.ajax({
				url: 'businesslayer.php',
				type: 'POST',
				data: {action: 10, lessons: lessons},
				dataType: 'json',
				success: function(response) {
					hideLoading();
					if(response.result == "true") {
						alert(response.message);
					} else {
						alert(response.message);
					}
				},
				error: function() {
					hideLoading();
					alert(response.message);
				}
			});
		});
	});
</script>

<?php include('include/footer.php') ?>